<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetGroupRights Method (IEdmFolderData5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolderData5 Interface : SetGroupRights Method (IEdmFolderData5)

Visual Basic
C#
C++/CLI

lGroupID
  ID of user group for which to set permissions

lEdmRightFlags
  Combination of EdmRightFlags bits

Sets the specified permissions for the specified user group.

# Syntax

Visual Basic |
--- | ---

    Sub SetGroupRights( _
       ByVal lGroupID As System.Integer, _
       ByVal lEdmRightFlags As System.Integer _
    )

C# |
--- | ---

    void SetGroupRights(
       System.int lGroupID,
       System.int lEdmRightFlags
    )

C++/CLI |
--- | ---

    void SetGroupRights(
    &   System.int lGroupID,
    &   System.int lEdmRightFlags
    )

#### Parameters

lGroupID
  ID of user group for which to set permissions
lEdmRightFlags
  Combination of EdmRightFlags bits

# Example

See the IEdmFolderData5 examples.

# Remarks

Retrieve user groups using IEdmUserMgr5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmFolderData5 Interface
IEdmFolderData5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2